import 'package:zhiying_comm/zhiying_comm.dart';

class UpgradeTipModel extends SkipModel {
  String bg_color;
  String go_text;
  String go_text_color;
  String icon;
  String text;
  String text_color;
  String url;

  UpgradeTipModel({
    this.bg_color,
    this.go_text,
    this.go_text_color,
    this.icon,
    this.text,
    this.text_color,
    this.url,
  });

  UpgradeTipModel.fromJson(Map<String, dynamic> json) {
    super.fromJson(json);
    bg_color = json['bg_color'];
    go_text = json['go_text'];
    go_text_color = json['go_text_color'];
    icon = json['icon'];
    text = json['text'];
    text_color = json['text_color'];
    url = json['url'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['bg_color'] = this.bg_color;
    data['go_text'] = this.go_text;
    data['go_text_color'] = this.go_text_color;
    data['icon'] = this.icon;
    data['text'] = this.text;
    data['text_color'] = this.text_color;
    data['url'] = this.url;
    return data;
  }
}
